com.pivotal.gemfirexd.internal.client.am

## Class ProductLevel

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ProductLevel

    public class ProductLevel
    extends Object

### Field Summary

Fields
`String` `databaseProductName_`
`String` `databaseProductVersion_`
`int` `modificationLevel_`
`int` `releaseLevel_`
`int` `versionLevel_`

### Constructor Summary

Constructors
Constructor and Description
`ProductLevel(String productID, String databaseProductName, String srvrlslv)`

### Method Summary

Methods
`boolean` `greaterThanOrEqualTo(int versionLevel, int releaseLevel, int modificationLevel)`
`boolean` `lessThan(int versionLevel, int releaseLevel, int modificationLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### databaseProductName_

    public String databaseProductName_

#### versionLevel_

    public int versionLevel_

#### releaseLevel_

    public int releaseLevel_

#### modificationLevel_

    public int modificationLevel_

#### databaseProductVersion_

    public String databaseProductVersion_

### Constructor Detail

#### ProductLevel

    public ProductLevel(String productID,
                String databaseProductName,
                String srvrlslv)

### Method Detail

#### greaterThanOrEqualTo

    public boolean greaterThanOrEqualTo(int versionLevel,
                               int releaseLevel,
                               int modificationLevel)

#### lessThan

    public boolean lessThan(int versionLevel,
                   int releaseLevel,
                   int modificationLevel)